MacOS Python 3.7 virtualenv失败吗?

粘土

我的系统正在运行MacOS和Homebrew,最近更新为Python 3.7。

现在,仅创建一个新的virtualenv并尝试使用它会失败。

仅供参考,我实际上不需要Python 3.7。我不是故意升级的。我希望使用最新的稳定且受支持的版本,但是当然,我希望基础知识能够正常工作。

➜  rm -rf ~/.virtualenvs/test
➜  python3 -m venv ~/.virtualenvs/test
➜  vex --path ~/.virtualenvs/test python
zsh: /usr/local/bin/vex: bad interpreter: /usr/local/opt/python/bin/python3.6: no such file or directory

➜  python3
Python 3.7.0 (default, Jun 29 2018, 20:13:13) 
[Clang 9.1.0 (clang-902.0.39.2)] on darwin
Type "help", "copyright", "credits" or "license" for more information.
>>> 
博士

/usr/local/bin/vex文件具有此作为第一行:#!/usr/local/opt/python/bin/python3.6; 它称为shebang,它将操作系统指向解释器以运行脚本。您已卸载,python3.6因此OS无法找到所述解释器。你需要重新安装vex使用python3.7

本文收集自互联网,转载请注明来源。

如有侵权,请联系 [email protected] 删除。

编辑于
0

我来说两句

0 条评论
登录 后参与评论

相关文章

TOP 榜单

热门标签

归档